<?php 

// функция для отправки запросов к API
function api_request($method,$params){
	global $login,$key,$url_json;
	$params = json_encode($params);														// преобразование в JSON-формат
	$request = array('key'=>$key,'login'=>$login,'method'=>$method,'param'=>$params); 	// формирование запроса
	$request=http_build_query($request);												// преобразование запроса в строку
	$opts = array('http'=>array('method'=>"POST",'content'=>$request));					// параметры запроса
	$context = stream_context_create($opts);											// создание контекста потока
	$result = file_get_contents($url_json, 0, $context); 								// отправляем запрос и получаем ответ от сервера
	$result = json_decode($result,true); 												// преобразование JSON-формата  в массив
	return $result;												
}

// получение данных из файла
function data_load(){
	$data=implode('',file('get_positions_inc/data.txt'));
	return json_decode($data,true);
}

// сохранение данных в файл
function data_save($data){
	$data=json_encode($data);
	$file = fopen ('get_positions_inc/data.txt','w+');
	fputs ($file, $data);
	fclose ($file);
	return 0;
}

?>